XCode error "El package de aplicaciones no contiene un identificador válido".

Recientemente, después de actualizar a Lion y Xcode 4.2.1, recibo este error al intentar ejecutar mi aplicación en mi iPhone 4S:

"El package de aplicaciones no contiene un identificador válido".

Mi identificador es válido, y he podido ejecutar mi aplicación con este identificador antes.

El problema puede aparecer cuando cambio de computadoras. Tengo dos computadoras que estoy usando para codificar mi aplicación, y estoy usando Dropbox para realizar un seguimiento de mis files.

Reiniciar XCode, mi Mac y mi iPhone no funciona. Limpiar el objective y rebuild no funciona. Lo único que he podido hacer para solucionarlo es crear un proyecto completamente nuevo y mover mis files. Esto hizo que las cosas funcionaran hasta que cambié de computadora. Ahora estoy en el mismo problema nuevamente.

¿Alguna idea? ¿Nadie?

Tres sugerencias:

  1. Compruebe que la key del desarrollador se encuentra en ambas computadoras

  2. ¿Trataste de actualizar el proyecto? Hay una key con un nombre extraño en el background del medio debajo de las properties del proyecto. Prueba esto.

  3. Tuve problemas similares. Descubrí que algunas cosas no se actualizaban cuando actualizaba osx y xcode. Para salir de la situación, sugiero crear un nuevo proyecto y copyr el código de pegado, los files y la configuration de compilation. Esto puede parecer estúpido, pero sabes que la manzana no es buena para crear IDE. Es posible que te pierdas en la configuration indocumentada.